package com.czg.order.service;

import com.czg.order.param.SaleSummaryCountParam;
import com.czg.order.vo.SaleSummaryCountVo;
import com.czg.order.vo.SaleSummaryInfoVo;
import com.mybatisflex.core.paginate.Page;

import java.util.List;

/**
 * 销量统计Service接口
 *
 * @author tankaikai
 * @since 2025-03-07 15:31
 */
public interface SaleSummaryService {

    SaleSummaryCountVo summaryCount(SaleSummaryCountParam param);
    Page<SaleSummaryInfoVo> summaryPage(SaleSummaryCountParam param);
    List<SaleSummaryInfoVo> summaryList(SaleSummaryCountParam param);


}
